local M = {}

local function onInit()
	electrics.values.vwd_temp60 = 0
	electrics.values.vwd_temp70 = 0
	electrics.values.vwd_temp80 = 0
	electrics.values.vwd_temp90 = 0
	electrics.values.vwd_temp100 = 0
	electrics.values.vwd_temp110 = 0
	electrics.values.vwd_temp120 = 0
	electrics.values.vwd_temp130 = 0
	
	electrics.values.vwd_fuel0 = 0
	electrics.values.vwd_fuel1 = 0
	electrics.values.vwd_fuel2 = 0
	electrics.values.vwd_fuel3 = 0
	electrics.values.vwd_fuel4 = 0
	electrics.values.vwd_fuel5 = 0
	electrics.values.vwd_fuel6 = 0
	electrics.values.vwd_fuel7 = 0
end

local function onReset()
	onInit()
end

local function updateGFX(dt)
	if electrics.values.watertemp >= 55 then
	electrics.values.vwd_temp60 = 1
	else
	electrics.values.vwd_temp60 = 0
	end
	if electrics.values.watertemp >= 65 then
	electrics.values.vwd_temp70 = 1
	else
	electrics.values.vwd_temp70 = 0
	end
	if electrics.values.watertemp >= 75 then
	electrics.values.vwd_temp80 = 1
	else
	electrics.values.vwd_temp80 = 0
	end
	if electrics.values.watertemp >= 85 then
	electrics.values.vwd_temp90 = 1
	else
	electrics.values.vwd_temp90 = 0
	end
	if electrics.values.watertemp >= 95 then
	electrics.values.vwd_temp100 = 1
	else
	electrics.values.vwd_temp100 = 0
	end
	if electrics.values.watertemp >= 105 then
	electrics.values.vwd_temp110 = 1
	else
	electrics.values.vwd_temp110 = 0
	end
	if electrics.values.watertemp >= 115 then
	electrics.values.vwd_temp120 = 1
	else
	electrics.values.vwd_temp120 = 0
	end
	if electrics.values.watertemp >= 125 then
	electrics.values.vwd_temp130 = 1
	else
	electrics.values.vwd_temp130 = 0
	end
	
	if electrics.values.fuel >= 0.05 then
	electrics.values.vwd_fuel0 = 1
	else
	electrics.values.vwd_fuel0 = 0
	end
	if electrics.values.fuel >= 0.125 then
	electrics.values.vwd_fuel1 = 1
	else
	electrics.values.vwd_fuel1 = 0
	end
	if electrics.values.fuel >= 0.25 then
	electrics.values.vwd_fuel2 = 1
	else
	electrics.values.vwd_fuel2 = 0
	end
	if electrics.values.fuel >= 0.375 then
	electrics.values.vwd_fuel3 = 1
	else
	electrics.values.vwd_fuel3 = 0
	end
	if electrics.values.fuel >= 0.5 then
	electrics.values.vwd_fuel4 = 1
	else
	electrics.values.vwd_fuel4 = 0
	end
	if electrics.values.fuel >= 0.625 then
	electrics.values.vwd_fuel5 = 1
	else
	electrics.values.vwd_fuel5 = 0
	end
	if electrics.values.fuel >= 0.75 then
	electrics.values.vwd_fuel6 = 1
	else
	electrics.values.vwd_fuel6 = 0
	end
	if electrics.values.fuel >= 0.875 then
	electrics.values.vwd_fuel7 = 1
	else
	electrics.values.vwd_fuel7 = 0
	end
end

-- public interface

M.onInit      = onInit
M.onReset     = onInit
M.updateGFX = updateGFX

return M
